SparkyLinux 4.0

Reklama na Linuxiarze.pl

 

Miło mi poinformować o wydaniu SparkyLinux 4.0 o nazwie kodowej „Tyche”.
Sparky 4 bazuje na Debianie 9 z gałęzi testowej „Stretch” i jest w pełni z nim kompatybilny.

Nowe nośniki zawierają pełny zestaw aplikacji do codziennej pracy, sterowniki wifi, kodeki i wtyczki multimedialne i dostępne są w kilku wersjach, takich jak:
– LXDE
– LXQt
– KDE
– MATE
– Xfce

„Tyche” – nazwa kodowa SparkyLinux 4 – to według Wikipedii:

hipotetyczna planeta krążąca w Obłoku Oorta w Układzie Słonecznym, której istnienie zasugerowano na podstawie analiz trajektorii komet długookresowych. Nazwa obiektu pochodzi od Tyche, greckiej bogini przypadku i szczęścia, dobrej siostry Nemezis, i ma charakter nieoficjalny.

Najważniejsze zmiany w tym wydaniu obejmują m.in.:
– aktualizację pakietów z repozytorium Debiana testowego z dnia 22.06.2015r.
– jądro Linux 4.0.5
– dodane wsparcie dla instalacji SparkyLinux na maszynach 32 bitowych wyposażonych w UEFI
– porzucenie edycji Razor-Qt
– dodanie dwóch nowych edycji z pulpitami KDE oraz LXQt
– rebranding systemu, zobacz HowTo: sparky-rebranding
– płaski motyw „Sparky4” oraz zestaw płaskich ikon „Ultra-Flat-Icons”
– dodane repozytorium Pipelight i klucz publiczny
– Gnome-Alsamixer został zamieniony przez Pulse Audio Mixer w edycji LXDE i LXQt
– Mplayer2, Gnome-player i Gecko-player zostały usunięte – jeden multimedialny odtwarzacz w zupełności wystarczy
– VLC jest teraz domyślnym odtwarzaczem wideo
– dodana wtyczka vlc-mozilla dla Iceweasel

Sparky APTus wyposażony jest w dodatkowe opcje:
– instalację jądra Liquorix
– instalację jądra i686-pae dla maszyn 32 bitowych
– instalację pakietów biurowych (za pośrednictwem pakietu ‚sparky-office’):
— AbiWord & Gnumeric
— Calligra
— LibreOffice
— MS Office Online (skróty do Menu)
— OpenOffice
— WPS Office

Sparky APTus Extra otrzymał opcję instalacji Google Chrome i Google Earth.

Edycja LXQt wyposażona jest w dwa menadżery okien do wyboru:
– lekki Openbox
– Kwin, który umożliwia aktywację efektów wizualnych pulpitu 2D i 3D.
Aby przełączyć Openbox na Kwin należy zmienić menadżera okien:
Menu-> Preferences-> LXQt Settings-> Session Settings
Następnie wyloguj się i zaloguj ponownie do LXQt.

32 bitowa wersja SparkyLinux wyposażona jest standardowo w jądro i586 NON-PAE.
Jeśli Twój sprzęt wymaga jądra i686 PAE, możesz je doinstalować za pośrednictwem Sparky APTus-> Install-> Install i686-PAE Kernel. Pamiętaj o wcześniejszym odświeżeniu listy pakietów.

Począwszy od wersji 4.0, Sparky oferuje wsparcie dla instalacji systemu na maszynach 32 bitowych wyposażonych w UEFI. Dodatkowo, z obrazów Live zostały usunięte tradycyjne pliki grub-efi i zastąpione własnym obrazem ‚efi.img’, wygenerowanym przez MoroS-a, za pośrednictwem przygotowanego przez niego autorskiego skryptu.

Nowe nośniki iso służą do wykonania świeżej instalacji systemu.
Jeśli wystąpi problem z instalacją za pośrednictwem domyślnego instalatora (live-installer), na maszynach wyposażonych w Bios możesz użyć starszego instalatora z Menu-> System-> SparkyLinux (Old) Installer lub uruchomić go poleceniem:
sudo sparkylinux-installer gui
lub (w trybie tekstowym)
sudo sparkylinux-installer

Jeśli posiadasz zainstalowany SparkyLinux na dysku, wykonuj pełną aktualizację systemu za pośrednictwem narzędzi: ‚Aktualizacja Systemu’, Synaptic lub w konsoli tekstowej:
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get install -f

Użytkownicy Sparky 3.6 (lub starszy) powinni doinstalować pakiet ‚sparky-core’:
sudo apt-get update
sudo apt-get install sparky-core

Użytkownicy Sparky 4.0 RC powinni wykonać standardową aktualizację wszystkich pakietów.

Użytkownicy Sparky 4.0 RC KDE oprócz aktualizacji mogą dodatkowo poprawić wygląd okien aplikacji:
sudo apt-get update
sudo apt-get remove sparky-theme-root-kde
sudo apt-get install sparky-theme-root sparky-kde-colors

Następnie należy otworzyć KDE System Settings-> Application Appearance-> Colors i wybrać Sparky

Minimalne wymagania sprzętowe dla instalacji SparkyLinux na dysku:
* procesor i586 / amd64
* pamięć RAM:
– LXDE, LXQt – 256MB (rekomendowana 512 MB)
– MATE, Xfce – 512MB (rekomendowana 1GB)
– KDE – 1GB (rekomendowana 2GB)
* partycja wymiany SWAP 512MB (lub większa)
* 10GB przestrzenie dysku twardego lub USB dla pełnej instalacji
* napęd CD/DVD lub port USB

Obrazy iso SparkyLinux dla maszyn 32 i 64 bitowych można pobrać ze strony pobierania.

SparkyLinux LXDE

 
Nośniki edycji „Base” i „CLI” zostaną wydane w ciągu około 1 tygodnia.

 
Release nots in English-> https://sparkylinux.org/sparkylinux-4-0

 

Zobacz podobne

Opublikowane: 26 / 06 / 2015 ,

4 comments on “SparkyLinux 4.0
  1. Witam Pavroo ,czy skompilujesz e19.5 do pliku deb tak zeby mozna było doinstalowac pozniej enlightenment do Sparky 4 lxqt ?

    • Pomijając fakt, że pakiety bierzemy z repozytoriów Debiana (i paru innych), to cały projekt SparkyLinux jest autorstwa Linuxiarzy. W sumie przy SL jest nas dwóch czynnie rozwijających (i tylko dwóch, niestety…), także wkład mamy 100%. 😉

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Strefa Linuxiarzy